Subject: Re: [bitcoin-dev] Consensus based block size retargeting algorithm (draft)

From: Jorge Timón <[email-masked]>
Date: Sat, 29 Aug 2015 02:00:11 +0200

On Sat, Aug 29, 2015 at 1:38 AM, Mark Friedenbach via bitcoin-dev
<[email-masked]> wrote:
> It is in their individual interests when the larger block that is allowed
> for them grants them more fees.

I realize now that this is not what Greg Maxwell proposed (aka
flexcap): this is just miner's voting on block size but paying with
higher difficulty when they vote for bigger blocks.
As I said several times in other places, miners should not decide on
the consensus rule to limit mining centralization.
People keep talking about miners voting on the block size or
"softforking the size down if we went too far". But what if the
hashing majority is perfectly fine with the mining centralization at
that point in time?
Then a softfork won't be useful and we're talking about an "anti-miner
fork" (see https://github.com/bitcoin/bips/pull/181/files#diff-e331b8631759a4ed6a4cfb4d10f473caR158
and  https://github.com/bitcoin/bips/pull/181/files#diff-e331b8631759a4ed6a4cfb4d10f473caR175
).

I believe miner's voting on the rule to limit mining centralization is
a terrible idea.
It sounds as bad as letting pharma companies write the regulations on
new drugs safety, letting big food chains deciding on minimum food
controls or car manufacturers deciding on indirect taxes for fuel.
That's why I dislike both this proposal and BIP100.